Bug 829999 - cannot install on RHEL 6 Workstation
cannot install on RHEL 6 Workstation
Status: CLOSED NOTABUG
Product: Beaker
Classification: Community
Component: command line (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Bill Peck
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 20:40 EDT by Rich Megginson
Modified: 2012-06-07 23:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-07 23:10:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rich Megginson 2012-06-07 20:40:22 EDT
Description of problem:

Cannot yum install beaker-client

Version-Release number of selected component (if applicable):

---> Package beaker-client.noarch 0:0.9.0-1.el6eso will be installed

[root@vmhost /]# cat /etc/redhat-release 
Red Hat Enterprise Linux Workstation release 6.2 (Santiago)

[root@vmhost /]# yum repolist
Loaded plugins: refresh-packagekit, rhnplugin
repo id                   repo name                                       status
adobe-linux-x86_64        Adobe Systems Incorporated                          2
atrpms                    EL6 x86_64 - ATrpms                             2,009
beaker                    Beaker                                             10
*epel                     Extra Packages for Enterprise Linux 6 - x86_64  7,421
epel-debuginfo            Extra Packages for Enterprise Linux 6 - x86_64  1,617
rhel-x86_64-workstation-6 Red Hat Enterprise Linux Workstation (v. 6 for  7,793
rhel6-csb                 RHEL6 CSB packages                                204
rpm-usrmove               rpm-usrmove                                        39
twinkle-el6               twinkle repo for el6                                8
repolist: 19,103

[root@vmhost /]# cat /etc/yum.repos.d/beaker.repo 
[beaker]
name=Beaker
baseurl=http://repos.fedorapeople.org/repos/beaker/client/RedHatEnterpriseLinux6Workstation/
enabled=1
gpgcheck=0

How reproducible:

Every time

Steps to Reproduce:
1. enable beaker repo
2. yum install beaker-client
  
Actual results:

see below

Expected results:


Additional info:

Here is the full output
[root@vmhost /]# yum install beaker-client
Loaded plugins: refresh-packagekit, rhnplugin
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package beaker-client.noarch 0:0.9.0-1.el6eso will be installed
--> Processing Dependency: beaker = 0.9.0-1.el6eso for package: beaker-client-0.9.0-1.el6eso.noarch
--> Processing Dependency: kobo-client >= 0.3 for package: beaker-client-0.9.0-1.el6eso.noarch
--> Processing Dependency: libxslt-python for package: beaker-client-0.9.0-1.el6eso.noarch
--> Running transaction check
---> Package beaker.noarch 0:0.9.0-1.el6eso will be installed
---> Package beaker-client.noarch 0:0.9.0-1.el6eso will be installed
--> Processing Dependency: libxslt-python for package: beaker-client-0.9.0-1.el6eso.noarch
---> Package kobo-client.noarch 0:0.3.6-1.el6eso will be installed
--> Processing Dependency: kobo = 0.3.6-1.el6eso for package: kobo-client-0.3.6-1.el6eso.noarch
--> Running transaction check
---> Package beaker-client.noarch 0:0.9.0-1.el6eso will be installed
--> Processing Dependency: libxslt-python for package: beaker-client-0.9.0-1.el6eso.noarch
---> Package kobo.noarch 0:0.3.6-1.el6eso will be installed
--> Finished Dependency Resolution
Error: Package: beaker-client-0.9.0-1.el6eso.noarch (beaker)
           Requires: libxslt-python

I cannot find libxslt-python anywhere.  It is not in download.devel.redhat.com/brewroot/packages nor is it in the fedora beaker repo.

Note You need to log in before you can comment on or make changes to this bug.